<?php
/** 
 *  SvgAnimate.php
 *
 * @since 4.1.1
 */

class SvgAnimate extends SvgElement
{
    var $mAttributeName;
    var $mAttributeType;
    var $mFrom;
    var $mTo;
    var $mBegin;
    var $mDur;
    var $mFill;
    
    function SvgAnimate($attributeName, $attributeType="", $from="", $to="", $begin="", $dur="", $fill="")
    {
        // Call the parent class constructor.
        $this->SvgElement();
        
        $this->mAttributeName = $attributeName;
        $this->mAttributeType = $attributeType;
        $this->mFrom  = $from;
        $this->mTo = $to;
        $this->mBegin = $begin;
        $this->mDur = $dur;
        $this->mFill = $fill;
        
    }
    
    function printElement()
    {
        print("<animate attributeName=\"$this->mAttributeName\" ");
        
        // Print the attributes only if they are defined.
        if ($this->mAttributeType != "") { print ("attributeType=\"$this->mAttributeType\" "); }
        if ($this->mFrom != "")  { print ("from=\"$this->mFrom\" "); }
        if ($this->mTo != "")    { print ("to=\"$this->mTo\" "); }
        if ($this->mBegin != "") { print ("begin=\"$this->mBegin\" "); }
        if ($this->mDur != "")   { print ("dur=\"$this->mDur\" "); }
        if ($this->mFill != "")  { print ("fill=\"$this->mFill\" "); }
        
        if (is_array($this->mElements)) { // Print children, start and end tag.
            
            print(">\n");
            parent::printElement();
            print("</animate>\n");
            
        } else {
            print("/>\n");
        } // end else
        
    } // end printElement
    
    function setShape($attributeName, $attributeType="", $from="", $to="", $begin="", $dur="", $fill="")
    {
        $this->mAttributeName = $attributeName;
        $this->mAttributeType = $attributeType;
        $this->mFrom  = $from;
        $this->mTo = $to;
        $this->mBegin = $begin;
        $this->mDur = $dur;
        $this->mFill = $fill;
    }
}
?>
